•  
      request #13157 Make sure code does not use deprecated PHP features
    Infos
    #13157
    Thomas Gerbet (tgerbet)
    2019-03-27 14:37
    2019-03-26 17:44
    13330
    Details
    Make sure code does not use deprecated PHP features
    Tuleap codebase is now clean enough to be sure so it can pass the sniffs provided by PHPCompatibility [0], it can be added to the Tuleap phpcs ruleset.


    This should avoid issues like encountered here: git #tuleap/stable/5ebc5c31e5ca0a405a8e27be6dbb2ae19622d8b5


    [0] https://github.com/PHPCompatibility/PHPCompatibility
    internal improvement
    Dev tools
    Empty
    Empty
    Empty
    Stage
    Thomas Gerbet (tgerbet)
    Closed
    2019-03-27
    Attachments
    Empty
    References

    Follow-ups

    • User avatar
      Integrated into Tuleap 10.11.99.164

      • Status changed from Under review to Closed
      • Connected artifacts
      • Close date set to 2019-03-27
    • User avatar
      Patch under review: gerrit #14154.

      • Summary
        -Make sure code does not deprecated PHP features 
        +Make sure code does not use deprecated PHP features 
      • Status changed from Under implementation to Under review